Skip to main content

GET v3/orders

GET 

/v3/orders

List your orders, with filters and pagination.

Returns all orders placed.

Pagination​

The endpoint supports pagination to split the large collection of resources into smaller, more manageable chunks or pages. This helps to reduce the response size and to improve performance. The endpoint supports only cursor-based technique for pagination.

Filters​

The GET v3/orders endpoint supports filtering on the following attributes: orderedOn, externalOrderNumber, reference. Each of these are explained below. Filters can be used in combination with each other and with pagination to allow full access to the desired subset of orders.

Filtering on orderedOn​

The results returned by this service can be filtered based on the order date of the order. To do so make use of the filter[orderedOn] parameter in the following manner:

  • GET {host}/v3/orders?filter[orderedOn][lt]={date} will return order that have been ordered before the provided date. Orders that have been ordered on that date are not included in the results.
  • GET {host}/v3/orders?filter[orderedOn][gt]={date} will return order that have been ordered after the provided date. Orders that have been ordered on that date are not included in the results.
  • GET {host}/v3/orders?filter[orderedOn][gt]={date_1}&filter[orderedOn][lt]={date_2} will return orders that have ordered between dates {date_1} and {date_1}. Orders that has been ordered on either date are not included in the results.

Filtering on externalOrderNumber​

In order to find orders that have a specific externalOrderNumber it is possible to specify one or more values to search for. Be aware that each entry in the list must be URL-encoded in order to be accepted. This means that the characters !\"#$%&'()*+,\:;=?@[] and white-spaces must be percent-encoded (see also the example below). Make use of the filter[externalOrderNumber][in] filter as follows:

  • GET {host}\v3\orders?filter[externalOrderNumber][in]=%23UK-1003,NL123%2F433 will return all orders that have either #UK-1003 or NL123\433 as externalOrderNumber.

Filtering on reference​

In order to find orders that have a specific reference it is possible to specify one or more values to search for. Be aware that each entry in the list must be URL-encoded in order to be accepted. This means that the characters !\"#$%&'()*+,\:;=?@[] and white-spaces must be percent-encoded (see also the example below). Make use of the filter[reference][in] filter as follows:

  • GET{host}\v3\orders?filter[reference][in]=%23UK-1003,NL123%2F433 will return all orders that have either #UK-1003 or NL123\433 as reference.

The endpoint also supports -to some degree- the inclusion of information of related resources. The resources that can be included in the response are limited to the orderItems, the deliveryAddress, the billingAddress and the pickUpPoint. To get the details of related entities the include parameter must be added to the URI in the following way:

  • GET {host}/v3/orders?include=orderItems will return for each order the list of orderItems with their details.
  • GET {host}/v3/orders?include=deliveryAddress,billingAddress,pickUpPoint will return all three types of addresses of each order if applicable. Note that the deliveryAddress and billingAddress are both of type address whereas the pickUpPoint is of type pickUpPoint.

Limitations of the GET v3/orders​

  • Users are rate-limited to 1000 requests per hour on this service.

Request​

Responses​

OK